logarithmplotter (0.5.0) stable; urgency=medium

  * New, reworked application icon.
  * Graph is now mouse interactive:
  * You can now drag to move and scroll to zoom!
  * Builtin functions now provide usage when used in the autocomplete of the expression editor.

  * Changed: When creating an object that can be positioned, new default behavior is to pick first instead of opening object settings.
  * Changed: Icons with text now use the SVG's text element, allowing them to integrate better with the system's default font.
  * Changed: Special characters popup is now context aware (e.g. no sub/supscript symbols in expressions).
  * Changed: New symbols in special characters popup.
  * Changed: Integrals and derivatives can now be provided with an executable object (e.g. Functions) instead of strings as function.
  * Changed: New description on Linux.

  * Fixed: Fixing ∞ 'variable' in domains and expressions.
  * Fixed: Several other bugs related to constants in expresions were fixed as well.
  * Fixed: Builtin functions now send an error message when not provided with the proper arguments.

**Internal changes**

  * Updated to PySide6 v6.6.1.
  * Reworked continuous functions' rendering to make it faster.
  * Removed old bits from an unfinished new parser that weren't used.

logarithmplotter (0.4.0) stable; urgency=medium

  * Fully ported to PySide6 (Qt6).

  * New: Customizable color schemes for expressions.
  * New, rewamped and improved picked location overlay settings:
  *     It's now possible to disable picking x or y when setting a location.
  *     Properties which are related to positioning (X, Y, Label's X position) can now be set using the picker.
  *     Visual redesign that enhances readability of settings.
  *     There is now a button to hide picker settings.

  * Changed: Greet screen settings are now scrollable.
  * Changed: Changelog is now freezed to current version.

  * Fixed bug: Cursors in expression are now easier to see.
  * Fixed bug: Symbols in LaTeX rendered Texts cause the LaTeX renderer to crash.
  * Fixed bug: Underscores in distribution names are automatically removed if the name is modified.
  * Fixed bug: Autocomplete categories now properly respect theme colors.
  * Fixed bug: Functions in expressions (like indexOf, map...) now properly send errors when the arguments are of the wrong type or count.
  * Fixed bug: Executable Objects called (like functions, bode magnitures, phases...) now send an error if provided with no arguments.
  * Fixed bug: Function calls with no argument no longer make LogarithmPlotter crash under certain circumstances.
  * Fixed bug: Thank you dialog's lists are no longer draggable.

  * Internal change: Disabled auto detect of visual theme if the `QT_QUICK_CONTROLS_STYLE` environment variable is set.
  * Internal change: (macOS, Windows, Flatpak) Drastically reducing installer sizes (more than halved).
  * Internal change: (Launchpad/Ubuntu) Using custom built packages of PySide6, meaning smaller installation and distro dependency.

 -- Ad5001 <mail@ad5001.eu>  Fri, 27 May 2023 17:00:00 +0100
  
logarithmplotter (0.3.0) stable; urgency=medium

  * New: Completely revamped expression editor:
  * Automatic closing of parentheses and brackets (can be disabled in settings).
  * Syntax highlighting (can be disabled in the settings).
  * Autocompletion is now available (for function names, variables and constants, object names and properties) (can be disabled in the settings).
  * New: Object properties can now be used in expressions (e.g. if you have a point named A, you can use A.x to access its x value).
  * Similarly executable objects (Functions, bode magnitudes and phases, distributions, and sequences) can be now be used in expressions (e.g. if you have a function named 'f', you can access its value using `f(<value>)`).
  * New LaTeX-rendered formulas are now used in the Objects and History tabs when LaTeX rendering is enabled.
  * New: Errors in formulas are now reported in message boxes.
  
  * Changed: The Object Editor dialog has been completely reworked internally, resulting in notable performance improvements.
  * Changed: Vast improvements to the objects system: names are now consistently reported and cannot be shared amongst different objects.
  * Changed: Disabled access to custom variable and function definition in expressions (can cause issues and vulnerabilities)
  * Changed: When using the set position cursor on Points and Texts, the position change is now saved a single history action: the position setting.
  * Changed: Distribution are now prefixed with an 'F_' to prevent confusion with X Cursors.
  
  * Translated: Autocompletion categories (English, French, German, Hungarian).
  * Translated: Expression editor settings (English, French, German, Hungarian).
  * Translated: Expression syntax errors (English, French, German, Hungarian).
  * On top of the above:
  * Translated: (Hungarian) v0.2.0 added text (thanks @ovari!)
  * Translated: (Spanish) Menu bars (thanks @Sergio Varela)
  * Fixing Texts not being properly recognized as texts when saving.
  
  * Fixed bug: Text's 'Disable LaTeX' property is now properly saved.
  * Fixed bug: X Cursors LaTeX rendering made the app crash.
  * Fixed bug: Attempting to insert special character no longer automatically saves the expression you're editing.
  * Fixed bug: Proper HDPI support for icons and buttons (note: HDPI is not available for the rendered canvas yet).
  * Fixed bug: Support for non-latin characters in variables (e.g. greek letters, subtext, suptext)
  * Fixed bug: Silent error when misentering variable names in the expression editor causing internal issues preventing you from changing the expression ever again and causing issues and rendering.
  * Fixed bug: Some utils function simplifying parentheses when they shouldn't have (note: you may see more parentheses than before in expressions).
  * Fixed bug: (Normally) Fixing deb building.
  
  * Internal changes: Object dependencies are now registered on both the dependant object, and the object it's depending on.
  * Internal changes: Objects now have a proper per-name registry.
  * Internal changes: Object Editor Dialog has been reworked to use loaders instead of loading and hiding every property editor for each property.
  * Internal changes: Reworked the file loading system to be able to load dependencies properly.

 -- Ad5001 <mail@ad5001.eu>  Fri, 28 Oct 2022 17:00:00 +0100

logarithmplotter (0.2.0) stable; urgency=medium

  * New: (EXPERIMENTAL) LogarithmPlotter now has an optional LaTeX integration.
  * It requires a LaTeX installation, including `latexmk` and `dvipng` available in the PATH.
  * NOTE: LaTeX support is disabled by default and is only for working for the rendering on the graph.
  * NOTE: The objects and history tab still use the legacy text based expression rendering.
  * New: Thanks and contributions dialog, showing included libraries and translations, their license and author(s).
  * New: LaTeX rendering can be disabled for texts, even if LaTeX is enabled.
  * Changed: History re/undos only redraw the graph every 4 change at most in order to speed up the process when re/undoing a lot of changes.
  * Changed: Gradients are no longer hidden when filtered out in the history tab.
  * Added translation: LaTeX options and error messages
  * Added translation: Thanks and contribution dialog
  * Added translation: New option for text.
  * Fixed translation: "repartition" which should be "distribution" in certain remaining strings.
  * Fixed bug: (macos) #1 - Opening files don't work on compiled versions of LogarithmPlotter on MacOS
  * Fixed bug: (snapcraft) Fixed bug preventing from launching LogarithmPlotter. This fix has been backported to v0.1.8.
  * Fixed bug: (snapcraft) Files are now properly opened.
  * Fixed bug: (snapcraft) Added changelog support.
  * Internal changes: Moved python modules to "util" directory for more clarity.
  * Internal changes: Moved flatpak metainfo to eu.ad5001.LogarithmPlotter repository.
  * Internal changes: Componented the Mathlib library in order to have a more readable source.
  * Internal changes: Added documentation for most internal JavaScript modules.
  * Internal changes: (flatpak) Updated SDK version to v5.15-21.08.

 -- Ad5001 <mail@ad5001.eu>  Fri, 22 Apr 2022 20:00:00 +0100

 logarithmplotter (0.1.8) stable; urgency=medium

  * New: There is now a user manual for LogarithmPlotter! Contributions apprecriated.
  * Changed: A link to LogarithmPlotter's official website (https://apps.ad5001.eu/logarithmplotter/) has been added in the about dialog.
  * Changed: A link to the user manual has been added both on the greeting screen and the `Help` menu.
  * Added translation: User manual.
  * Added translation: Official website.
  * Added translation: Filtering for history browser.
  * Fixed bug: The label position of X Cursors now display the label even when unexpected values are entered.
  * Fixed bug: X Cursors target object in history are now properly rendered when no object were selected
  * Fixed bug: Fixed slight clipping at the bottom of the border.
  * Fixed bug: TextInput no longer allow to input forbidden characters for numbers.
  * Fixed bug: ALT+ shortcuts on the menu bar now work. NOTE: May break some mobile configuration. Qt bug report: https://bugreports.qt.io/browse/QTBUG-100539
  * Fixed bug (flatpak): Buttons on side menu to create object now have proper width on startup.
  * Internal changes: There is now a script to generate offline versions of the manual based on their online version.
  * Internal changes: Sidebar button width is now fixed.
  * Internal changes: Artifacts have been added to appstream metadata.

 -- Ad5001 <mail@ad5001.eu>  Sat, 19 Feb 2022 20:00:00 +0100
 
logarithmplotter (0.1.7) stable; urgency=medium

  * New: The history browser has been completly redesigned, improving UX.
  * New: The history browser now features a filter bar.
  * New: All side panel tabs now have a visually identifiable scrollbar.
  * Changed: Shorter rich text representations of history entries to improve readability.
  * Changed: Usage of gradiants and icons to better identify history entries at a glance.
  * Changed: History entries are now showing the whole label on several lines, instead of cutting it at the end.
  * Changed: New history action for renaming.
  * Changed: New history action for coloring. Note: color changing history items created in previous versions of LogarithmPlotter will not be updated to the new action.
  * Changed: Tooltips for object creation buttons have been added.
  * Changed: Tooltips have been set to have a delay of 200ms to match most software's handling of them.
  * Changed: Object creation buttons now have a unified style accross all platforms.
  * Added translation: History action of renaming objects.
  * Added translation: History action of changing the color of objects.
  * Added translation: Filtering for history browser.
  * Fixed bug: Visibility history actions (shown and hidden) are now properly saved, solving the issue that when loading file with one, it's not automaticly changed to "Show".
  * Fixed bug: Name changes history actions are now properly saved.
  * Fixed bug: Non translated object type on the "+ Create new object" item selection combobox for Bode Magnitude and Phase.
  * Fixed bug: Proper handling for future LogarithmPlotter files.
  * Fixed bug: Shortcuts not being displayed in the menu bar are now properly shown.
  * Fixed bug (flatpak): Black versions of the icons when using a black theme with the KDE SDK.
  * Fixed bug (debian): Fixed launchpad building properly.
  * Internal changes: Better organisation on icons.
  * Internal changes: Historylib has been separated in several files.
  * Internal changes: Trying to switch metainfo once more to try and fix another bug.
  * Internal changes: Keywords added to metainfo.

 -- Ad5001 <mail@ad5001.eu>  Thu, 03 Feb 2022 00:00:00 +0100
 
logarithmplotter (0.1.6) stable; urgency=medium

  * New: A new changelog popup is available at startup and in the help menu.
  * Added translation: Object properties names.
  * Added translation: Object properties enum values.
  * Added translation: Object comments.
  * Added translation: Most elements using a ":".
  * Fixed bug: X Cursor's targets can now be set to null.
  * Fixed bug: History now imports domains and objects properly.
  * Fixed bug: Proper handling for future LogarithmPlotter files.
  * Fixed bug (debian): Fixing bug that created a /build directory and didn't put the icons in the right directories.
  * Other: Refractoring done on helper.
  * Other: All QML elements are now properly commented.
  * Other: Scripts have been moved to it's own directory.

 -- Ad5001 <mail@ad5001.eu>  Sat, 29 Jan 2022 20:00:00 +0100
 
logarithmplotter (0.1.5) stable; urgency=medium

  * New: LogarithmPlotter has now better handling of very high values in logarithmic scale.
  * Added translation for flatpak metadata, including translated image.
  * [URGENT PATCH] Fixed bug: File saving dialog was not working.
  * [URGENT PATCH] Fixed bug: Debian packages does include any language file.
  * Fixed bug: X Cursor pointing does not detect any object.

 -- Ad5001 <mail@ad5001.eu>  Wed, 26 Jan 2022 10:00:00 +0100
 
logarithmplotter (0.1.4) stable; urgency=medium

  * New feature: LogarithmPlotter detects unsaved changes.
  * New feature: LogarithmPlotter is now translated! See https://hosted.weblate.org/engage/logarithmplotter/ to help.
  * New translation: English by Ad5001: 100%
  * New translation: French by Ad5001: 100%
  * New translation: German by Ad5001: 100%
  * New translation: Hungarian by Óvári (@ovari on github): 100%
  * New translation: Norvegian by Allan Nordhøy (@comradekingu on github): 80%
  * Fixed bug: No notification when closing LogarithmPlotter with unsaved changes.
  * Fixed bug: π unavailable in symbols.

 -- Ad5001 <mail@ad5001.eu>  Wed, 24 Jan 2022 20:00:00 +0100
 
logarithmplotter (0.1.3) stable; urgency=medium

  * Fixed bug: Confined packages (snapcraft & flatpak) won't show error messages related to update checks.
  * FIxed bug: Equations of the form (x + y) / z were not being simplified properly.

 -- Ad5001 <mail@ad5001.eu>  Wed, 19 Jan 2022 20:00:00 +0100
 
logarithmplotter (0.1.2) unstable; urgency=medium

  * Fixed bug: Unable to move Bode diagrams elements when having deleted the sum element.
  * Fixed bug: Names were not not being changed from previous object when editing a new one.
  * Fixed bug: Bode Magnitude was not drawn far enough
  * Fixed bug: Bode Magnitude had undefined ending.
  * Fixed other bugs from v0.1.1.

 -- Ad5001 <mail@ad5001.eu>  Mon, 30 Sep 2021 20:00:00 +0100
 
logarithmplotter (0.1) UNRELEASED; urgency=medium

  * Initial release.

 -- Ad5001 <mail@ad5001.eu>  Thu, 26 Aug 2021 08:48:28 +0100
